@import url('reset.css');

:root {
    --clr-primary: #C9B59C;
    --clr-secondary: #D9CFC7;
    --clr-background: #F9F8F6;
    --clr-background-darker: #EFE9E3;

    --clr-text: #121212;
    --box-shadow: 0 0 3px rgba(0 0 0 / 0.10),
                1px 1px 4px rgba(0 0 0 / 0.05);
}

* {
    font-family: "Inter", sans-serif;
    color: var(--clr-text);
}

h4, h5, h6 {
    font-weight: 600;
}

body {
    min-height: 100vh;
    background-color: var(--clr-background-darker);

    display: grid;
    grid-template-columns: max-content 1fr;
    grid-template-rows: min-content 1fr;
}

aside {
    background-color: var(--clr-secondary);
    grid-row: 1 / 3;

    padding-top: 2rem;
}

#dashboard {
    margin: 0 2rem;
}

aside > *:not(:first-child) {
    margin-top: 2rem;
}

aside .btn-group {
    display: flex;
    flex-direction: column;
    gap: 8px;

    font-weight: 300;
}

aside .btn-group > * {
    padding: 0 2rem;

}

aside .btn-group .selected {
    font-weight: 500;
}

header {
    background-color: var(--clr-background);

    padding: 16px 0;
    font-size: 18px;

    display: grid;
    grid-template-columns: 1fr min(1440px, calc(100% - 32px)) 1fr;
}

.img-rounded-small {
    width: 38px;
    height: 38px;
    
    border-radius: 50%;
}

header > div {
    grid-column: 2 / 3;

    display: flex;
    align-items: center;
    gap: 16px;
}

header span[class*="mdi"] {
    color: var(--clr-primary);
    font-size: 24px;
}

#search-icon {
    margin-left: auto;
}

#search-input {
    height: 2rem;
    border-radius: 1rem;
    padding: 0 16px;
    
    font-size: 16px;
    
    outline: none;
    border: 1px solid var(--clr-primary);
    background-color: var(--clr-background-darker);
}

main {
    background-color: var(--clr-background-darker);

    display: grid;
    grid-template-columns: 1fr min(1440px, calc(100% - 32px)) 1fr;
    grid-template-rows: min-content;
    padding: 16px 0;
}

.main-container {
    grid-column: 2 / 3;

    display: grid;
    grid-template-columns: 1fr 320px;
    gap: 16px;
}

#greet-card {
    display: flex;
    grid-column: span 2;
    align-items: center;

    margin-bottom: 18px;

    & img {
        border: 4px solid var(--clr-primary);
        width: 64px;
        height: 64px;
        border-radius: 50%;
    }

    & p {
        font-size: 14px;
        font-weight: 400;
    }

    & span {
        margin-left: 16px;
        line-height: 21px;
    }
}

.card {
    background-color: var(--clr-background);
    box-shadow: var(--box-shadow);
    padding: 16px;
    border-radius: 8px;
}

.card p {
    font-size: 14px;
    line-height: 18px;
}

#project-container > div {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    grid-auto-rows: 200px;
    gap: 16px;
}

.project {
    display: grid;
    grid-template-rows: min-content 1fr min-content;

    border-left: 8px solid var(--clr-primary);
    padding: 24px;

    transition: box-shadow 0.1s, transform 0.1s;

    & .btn-group {
        --icon-size: 1.5rem;

        display: grid;
        grid-auto-flow: column;
        grid-template-columns: repeat(3, min-content);
        justify-self: end;

        gap: calc(var(--icon-size) / 2);
        font-size: var(--icon-size);
    }
}

.container-title {
    margin-bottom: 16px;
}

#main-container-right {
    display: flex;
    flex-direction: column;

    gap: 32px;
}

#main-container-right .card {
    display: flex;
    flex-direction: column;

    gap: 16px;
}

#trending-container .item {
    display: flex;
    align-items: center;
    
    line-height: 16px;
    gap: 8px;
}

.project:hover {
    cursor: pointer;

    transform: scale(1.01);
    box-shadow: 1px 2px 8px rgba(0 0 0 / 0.10);
}